> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Specific Environment For An Agent

> Get a specific environment for an agent.



## OpenAPI

````yaml get /v1/orchestrate/agents/{agent_id}/environment/{environment_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents/{agent_id}/environment/{environment_id}:
    get:
      tags:
        - Agent Release Environments
      summary: Get A Specific Environment For An Agent
      description: Get a specific environment for an agent.
      operationId: >-
        Get_a_specific_environment_for_an_agent_v1_orchestrate_agents__agent_id__environment__environment_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: environment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Environment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Environment'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Environment:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Environment id From The environment table
        agent_id:
          type: string
          format: uuid
          title: Agent Id
          description: Agent id From The environment table
        name:
          type: string
          title: Name
          description: Name of the environment
        description:
          type: string
          title: Description
          description: Description of what the environment does
        voice:
          anyOf:
            - $ref: '#/components/schemas/Voice'
            - type: 'null'
          description: Voice configuration for the environment
        created_by:
          type: string
          title: Created By
          description: ID of the user who created the environment
        created_on:
          type: string
          format: date-time
          title: Created On
          description: Creation timestamp
        updated_by:
          type: string
          title: Updated By
          description: ID of the user who updated the environment
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        deleted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted By
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        current_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
          description: Current agent version pointed to this environment
        tenant_id:
          type: string
          title: Tenant Id
          description: ID of the tenant that owns this environment
        enable_wxg_integration:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enable Wxg Integration
          description: Enable/disable WXG integration for this agent
          default: false
      type: object
      required:
        - id
        - agent_id
        - name
        - description
        - created_by
        - created_on
        - updated_by
        - updated_at
        - tenant_id
      title: Environment
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Voice:
      properties:
        enable_on_homepage:
          type: boolean
          title: Enable On Homepage
          description: Enable voice on homepage
          default: false
        enable_on_embed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enable On Embed
          description: Enable voice on homepage
          default: false
      type: object
      title: Voice
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````